Bug 1139862 - (CVE-2019-13068) VUL-0: CVE-2019-13068: grafana: HTML Injection in panel drilldown links
(CVE-2019-13068)
VUL-0: CVE-2019-13068: grafana: HTML Injection in panel drilldown links
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/235898/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-01 08:24 UTC by Alexander Bergmann
Modified: 2020-06-18 13:47 UTC (History)
10 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2019-07-01 08:24:23 UTC
CVE-2019-13068

public/app/features/panel/panel_ctrl.ts in Grafana before 6.2.5 allows HTML
Injection in panel drilldown links (via the Title or url field).

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-13068
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-13068
https://github.com/grafana/grafana/releases/tag/v6.2.5
https://github.com/grafana/grafana/issues/17718
Comment 3 Joseph Davis 2019-10-01 17:28:44 UTC
https://build.opensuse.org/package/show/Cloud:OpenStack:Rocky/grafana now uses Grafana 6.2.5 for SOC 9.
Comment 4 Alexandros Toptsoglou 2020-03-27 08:43:53 UTC
Assigning to ceph team for ses5. Cloud 7 and 8 now uses 6.2.5 which is fixed.
Comment 5 Enno Gotthold 2020-04-08 14:56:44 UTC
SES5 is not that easy to fix. We need to backport the fix to Grafana 4.x.x to fix that issue because that is what SES 5 is currently at.
Comment 7 Volker Theile 2020-04-24 07:53:05 UTC
A patched package is in the pipeline: https://build.suse.de/request/show/216693
Comment 9 Swamp Workflow Management 2020-05-13 19:16:12 UTC
SUSE-SU-2020:1273-1: An update that fixes 6 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1096985,1106515,1115960,1139862,1148383,1167424
CVE References: CVE-2018-12099,CVE-2018-15727,CVE-2018-19039,CVE-2018-558213,CVE-2019-13068,CVE-2019-15043
Sources used:
SUSE Enterprise Storage 5 (src):    grafana-4.6.5-3.10.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Enno Gotthold 2020-06-18 12:00:47 UTC
The bugfix is released. Thus we can close it.